﻿#Possible Titles: Perhaps Another Time, The Windmills
#Characters     ka = お母さん
#               m = 私
#               m1 = みちこ
#               m2 = Michelle
#               me = User's own name
#               f = footballer (later Wayne)
#               h = Mrs Harris
#               w = Wayne
#               t = characters internal monologue (not actions)

#Endings        1. Arrive back in Japan on time for school (choose not to take test). - gameending3
#               1a. Arrive back in Japan on time for school (no Michelle, eng not good enough to take test) - gameending4
#               1b. Arrive back in Japan on time for school (fail test, Michelle turns up to be an exchange student) - gameending6
#               1c. Arrive back in Japan on time for school (friends with wayne, saved you with football) - gameending7
#               2. Arrive back in Japan 30 years later
#               3. Dies trying to return (electrocution)
#               3a. Dies trying to return (electrocution) After selfintro - gameending2
#               4. Adapt well to UK life (no return) - gameending5
#               5. Adapt poorly to UK life: Low-end job and life
#               6. Adapt poorly to UK life: Homeless
#               7. Adapt poorly to UK life: Arrested
#               8. Permanently hospitalised after escaping the self-introduction - gameending1

#eigopoints for this file (Max = 9)
#	(if meet wayne nicely you can get one eigo point)
#	1 point for nice to meet you too
#	1 point for going toward harris
#	5 eigo points from self-intro Qs
#	1 eigo point for perfect self-intro
#	(if wayne meets you later to try and be friends you can get one eigo point)

init:
    $_game_menu_screen = None #disables right click
    $ style.default.font = "mikachan.ttf"
    $ style.default.language = "eastasian"
    $ style.say_who_window.left_padding = 160
    $ f = Character('Footballer', show_two_window=True, color="#c8ff00", window_left_padding=170, show_side_image=Image("unknown_side.png", xalign=0.0, yalign=1.0)) #Wayne/Footballer
    $ h = Character('Mrs Harris', show_two_window=True, color="ffff00", window_left_padding=160, show_side_image=Image("harris_side.png", xalign=0.0, yalign=1.0))#mrs harris
    $ ka = Character('お母さん', show_two_window=True, color="#c8ffc8", window_left_padding=160, show_side_image=Image("okaasan_side.png", xalign=0.0, yalign=1.0))#okaasan
    $ m = Character('自分', show_two_window=True, color="#c8c8ff", window_left_padding=170, show_side_image=Image("me_side.png", xalign=0.0, yalign=1.0)) #私/t
    $ m1 = Character('みちこ', show_two_window=True, color="#009900", window_left_padding=160, show_side_image=Image("michiko_side.png", xalign=0.0, yalign=1.0)) #みちこ/Michelle
    $ m2 = Character('Michelle', show_two_window=True, color="#009900", window_left_padding=160, show_side_image=Image("michelle_side.png", xalign=0.0, yalign=1.0)) #みちこ/Michelle
    $ t = Character('', show_two_window=True, color="#c8c8ff", window_left_padding=160, show_side_image=Image("me_think_side.png", xalign=0.0, yalign=1.0)) #私/t
    $ w = Character('Wayne', show_two_window=True, color="#c8ff00", window_left_padding=160, show_side_image=Image("wayne_side.png", xalign=0.0, yalign=1.0)) #Wayne/Footballer
    $ u = Character('???', show_two_window=True, color="#c8ff00", window_left_padding=170, show_side_image=Image("unknown_side.png", xalign=0.0, yalign=1.0)) #Unknown speakers
    $ footyteam = "none" # This will change how the footy team thinks of you. None = no op. Like / Dislike.
    $ nameknown = False # This will allow an option if people know the characters name.
    $ mrsharrisjapanese = False # Can Mrs Harris speak Japanese?
    $ eigopoints = 0 # Number of English points
    $ selfintropoints = 0 #number of correct answers during self-intro. if perfect a bonus eigo point.
    $ charlikesfootball = False # Does the character like football (not soccer)
    $ favfoodknownisushi = False # Does the character answer the food question in the self-intro correctly
    $ gameendingnumber = 0 # Which ending does the character fall into
    $ gameendingpassword = "none" # A password linked to the ending
    $ pissedoffharrisinstaffroom = 0 # Piss her off three times and she'll send you to your doom. (central route)
    $ aquestionforharrisinstaffroom = "none" # What ONE question do you ask her (central route)
    $ twoweekslatercentralroutequiztaken = False # Do you choose to take the test to stay? (central route)
    $ centralquizanswer = "none" # The answer for the question in the central quiz
    $ likesyoudurationknown = False # On the Wayne likes you route, do you know the duration of the programme
    $ likesyouhappystart = False # When Mrs Harris asks how the programme's going, if you don't question it this becomes TRUE
    $ questionforharrislikesyouroute = "none" #The one question Mrs Harris will answer before her meeting (waynelikesyouroute)
    $ rememberube = False #Do you remember Harris is from Ube
    $ quizpass = False #You must get at least one question right as well as the minimum
    $ angryatmichikoatstationonwaytolondon = False #(ending15)On the wayne likes you Route with a happy start, if you steal money to get to the UK, do you shout at Michiko at the station.

screen eigopointscreen: #####################http://lemmasoft.renai.us/forums/viewtopic.php?f=8&t=10200
    add "pointsbar.png" xpos 0.0 ypos 0.0
    text ("English Points:" "%d" % eigopoints):
        xpos 0.0
        ypos 0.0
    
image bg village = "village.jpg" #notyetcreditted
image bg house = "house.jpg" #notyetcreditted
image bg mills = "mills.jpg"
image bg black = "#000000"
image bg schoolfront = "schoolfront.jpg" #notyetcreditted
image bg white = "white.jpg" #notyetcreditted
image bg schoolinside = "club.jpg" #notyetcreditted
image bg classroom = "lecturehall.jpg" #notyetcreditted
image bg sciencelab = "sciencelab.jpg" #notyetcreditted
image bg schooloffice = "staffroom.jpg" #notyetcreditted
image bg dadsoffice = "home-office.jpg" #notyetcreditted
image bg takibestation = "takibestation.jpg" #notyetcreditted
image bg trainint = "trainint.jpg" #notyetcreditted
image bg planeflying = "planeflying.jpg" #notyetcreditted
image bg londonheathrow = "londonheathrow.jpg" #notyetcreditted
image bg buckspalace = "buckspal.jpg" #notyetcreditted
image bg alley = "alley.jpg" #notyetcreditted
image bg brjoutside = "brjoutside.jpg" #notyetcreditted
image bg brjroad = "brjroad.jpg" #notyetcreditted
image bg roadblur = "roadblur.jpg" #notyetcreditted
image bg leedsuni = "leeds_uni.jpg" #notyetcreditted
image bg shrewsburytown = "shrewsburytown.jpg" #notyetcreditted
image bg housecloud = "housecloud.jpg"
image bg schoolcloud = "schoolfrontcloud.jpg"
image bg credits = "credits.jpg"

image okaasan norm = "okaasan/okaasan_norm.png"
image okaasan bigsmile = "okaasan/okaasan_bigsmile.png"
image okaasan nosmile = "okaasan/okaasan_nosmile.png"
image okaasan open = "okaasan/okaasan_open.png"
image michiko norm = "michiko/michiko_norm.png"
image michiko happy = "michiko/michiko_happy.png"
image michiko vhappy = "michiko/michiko_veryhappy.png"
image michiko serious = "michiko/michiko_concerned.png"
image michiko worried = "michiko/michiko_worried.png"
image michiko shocked = "michiko/michiko_shocked.png"
image michiko sad = "michiko/michiko_sad.png"
image michiko dryshock = "michiko/michiko_dryshock.png"
image michelle norm = "michelle/michelle_norm.png"
image michelle sad = "michelle/michelle_sad.png"
image michelle serious = "michelle/michelle_serious.png"
image michelle worried = "michelle/michelle_worried.png"
image michelle lecture = "michelle/michelle_lecture.png"
image michelle happy = "michelle/michelle_happy.png"
image michelle vhappy = "michelle/michelle_veryhappy.png"
image michelle shocked = "michelle/michelle_shocked.png"
image michelle oh = "michelle/michelle_oh.png"
image michelle dunno = "michelle/michelle_dunno.png"
image michelle tearing = "michelle/michelle_tearing.png"
image michelle embarrassed = "michelle/michelle_embarrassed.png"
image wayne norm = "wayne/wayne_sports_front_smile.png"
image wayne surprise = "wayne/wayne_sports_front_surprise.png"
image wayne happy = "wayne/wayne_sports_front_bigsmile.png"
image wayne pout = "wayne/wayne_sports_front_pout.png"
image wayne angry = "wayne/wayne_sports_front_angry.png"
image wayne sigh = "wayne/wayne_sports_side_sigh.png"
image wayne down = "wayne/wayne_sports_side_worried.png"
image wayne sad = "wayne/wayne_sports_side_sad.png"
image wayne shy = "wayne/wayne_sports_side_shy.png"
image harris norm = "harris/harris_norm.png"
image harris away = "harris/harris_away.png"
image harris angry = "harris/harris_angry.png"
image harris bigsmile = "harris/harris_bigsmile.png"
image harris oh = "harris/harris_oh.png"
image harris laugh = "harris/harris_laugh.png"
image harris erk = "harris/harris_erk.png"
image harris serious = "harris/harris_serious.png"
image harris smile = "harris/harris_smile.png"
image harris shocked = "harris/harris_shocked.png"
image harris notamused = "harris/harris_notamused.png"
image spy norm = "spy/spy_norm.png"
image spy shoot = "spy/spy_shoot.png"
image redflash:
    "#f00"
    alpha 0.0
    linear .45 alpha 0.5
    linear .45 alpha 0.0
    repeat
image football = "football.png"
image car = "car.png"

label start:
    show screen eigopointscreen
    scene bg village
    with fade
    show okaasan bigsmile
    with dissolve
    ka "はーい、到着。"
    t "今日、お母さんと豊北町にある滝部という場所に引っ越した。"
    scene bg mills
    with dissolve
    ka "この町は風車がある、すごいね。"
    t "グリーンエネルギーはいいね。"
    scene bg house
    with dissolve
    show okaasan open
    with dissolve
    ka "わ～、すてきな家。"
    t "お父さんは仕事で、再来週来る。"
    show okaasan norm
    ka "じゃ、荷物を…"
    t "荷物？いや～。ベッドへ行きたい。"
    show michiko norm behind okaasan
    with dissolve
    u "こんにちは！"
    show okaasan nosmile at left
    show michiko norm at right
    with move
    ka "わっ！びっくりした。"
    u "すみません。もしかして、この家に新しく引っ越して来られたご家族さんですか？"
    show okaasan norm
    ka "はい、到着したばかりです。"
    show michiko happy
    m1 "はじめまして。田中みちこです。隣の家に住んでいます。よろしくおねがいします。"
    show okaasan open
    ka "私、あきこと呼んでください。よろしくね、みちこちゃん。"
    show okaasan nosmile
    show michiko norm
    ka "ねえ、あなたも。自己紹介して。"
    m "あ、うん。"
    t "ベッド行けないね、とりあえず自己紹介。"
    show okaasan norm
    $ me = renpy.input("私の名前は…")
    $ me = me.strip()
    if me == "":
        $ me="Charlie"
    $ save_name = me
    m "私の名前は%(me)sです。"
    if me == "Darlo":
        m1 "本当？ALTのダーロ先生と同じ名前ですか？すごいです。"
    m1 "よろしくおねがいします、あきこさん、%(me)sさん。"
    m1 "それでは夕食を準備しなければならないので、失礼します。%(me)sさん、また明日ね。"
    m "はい、また明日。"
    hide michiko
    with dissolve
    t "そっか、明日からもう学校だよね。"
    show okaasan bigsmile
    t "その後でお母さんと引っ越しの作業を終えて、喜んで自分のベッドに向かった。"
#Next Day
    scene bg black
    with dissolve
    m "ギャ～ッ！"
    scene bg housecloud
    with dissolve
    t "もちろん、私は目覚まし時計を忘れちゃった。"
    m "お母さん！どうして起こしてくれなかったの？！"
    t "お母さんはまだ寝ているようだ。"
    m "もう行かないと。"
    t "家を出ると、昨日とは天気が大きく違った。"
    m "今日に限ってなんで嵐なんだ？"
    scene bg schoolcloud
    with dissolve
    t "滝部はそんなに大きくないので簡単に滝部中学校を見つけることができた、雨と雷の中なのに。"
    m "よかった。"
    scene bg white
    t "私はドアを開けたとたん、強力な白色光で目がくらんで、何かに背中を強く押された。"
    scene bg black
    t "真っ暗になった。"
    t "…"
    u "Are you okay?"
    scene bg schoolinside
    with dissolve
    show michelle serious
    with dissolve
    t "目を開けたら、床が見えた。私はうつ伏せに倒れているようだ。私のそばに若い女の子が立っているのが見えた。"
    show michelle norm
    u "You must be the new exchange student. Nice to meet you."
    m "みちこ…ちゃん？"
    m2 "My name's Michelle. What's your name?"
    t "それって英語？"
    m "みちこちゃん、何で英語で喋ってるの？"
    show michelle worried
    m2 "What? Uh ... you can speak English, right?"
    t "なにこれ、英語の学校？何も聞いてなかったのに。ちょっと外で空気を吸おう。"
    scene bg brjoutside
    with dissolve
    t "…"
    scene bg schoolinside
    show michelle norm
    with dissolve
    m "いっ…いったい…何なんだ？！"
    show michelle serious
    m2 "What's wrong?"
    m "外は違う！全然違う！ここはいったいどこ？！滝部中学校じゃない！もしかしてここは豊北町じゃない？！下関じゃない？！日本じゃない？！"
    show michelle worried
    m2 " Please calm down!"
    m "一体全体、何が起こっているんですか～？！"
    scene bg black
    "{color=#FF0000}{size=+12}ガンッ{/size}{/color}{fast}"
# Football Incident
    scene bg schoolinside
    with dissolve
    show michelle serious
    with dissolve
    m "痛～ッ"
    m2 "Are you ok? That football just hit you in the head."
    t "ドアを閉めるべきだったね。"
    f "Sorry! Are you ok?"
    t "足元にサッカーボールが転がって来た。サッカーをしていたらしい男の子がこっちへ向かって走って来ている。"
menu:
    t "足元にサッカーボールが転がって来た。サッカーをしていたらしい男の子がこっちへ向かって走って来ている。どうしたらいいかな。"
    "男の子がここに走っている間に、彼に向かってボールをキックする": #No effect on the team
        show michelle norm
        f "Thank you, mate."
        t "彼は走り出した。"
        jump afterfootballincident
    "男の子がこっちに走って来ている間に、彼の顔に向けて思いっきりボールをキックする":
        jump oi #the team won't like you
    "男の子が到着したら手でボールを返す":
        $ footyteam = "like" #the team will like you
        jump meetwayne  #Meet player
    "男の子が到着したら違う場所に向かって思いっきりボールをキックする":
        jump oi #the team won't like you

label oi:
    f "Oi! You moron!"
    show michelle worried
    m2 "You probably shouldn't have done that."
    $ footyteam = "dislike" #The team won't like you
    jump afterfootballincident

label meetwayne:
    show michelle norm at left with move
    show wayne surprise at right with dissolve
    f "I'm sorry about that, are you okay?"
    t "ボールを手で渡す。"
    show wayne norm
    w "Thank you. My name's Wayne. I'm the captain of the mixed football team."
    show michelle lecture
    m2 "You should be more careful, Wayne."
    show wayne sigh
    w "I'm sorry, Michelle."
    show wayne happy
    show michelle norm
    w "What's your name, mate?"
    t "へっ？自分？じゃ、英語を使うしかない。"
    menu:
        w "What's your name, mate?"
        "Your name is Wayne.":
            m "Your name is Wayne."
            show wayne surprise
            show michelle worried
            w "Uh ... yes, that's my name."
            t "間違ったかな"
        "I like apples.":
            m "I like apples."
            show wayne surprise
            show michelle worried
            w "Uh ... yes, me too."
            t "間違ったかな"
        "My name is %(me)s.":
            $ eigopoints += 1
            m "My name is %(me)s."
            show wayne norm
            w "Nice to meet you, %(me)s."
            $ nameknown = True
            t "よっしゃ！"
    show wayne norm
    w "Well, I have to go. See you."
    m2 "See you."
    hide wayne
    with dissolve
    
label afterfootballincident:
    if nameknown == True:
        m2 "So, your name is %(me)s? That's a nice name."
    if nameknown == False:
        show michelle serious
        m2 "Hmm ... I wonder what your name is."
    m2 "Anyway, class is starting soon. We should go."
    m "クラス？"
    scene bg black with dissolve
    #Fade out, this is where this scene ends
    
label firstclass:
    scene bg classroom with dissolve
    u "Hello there."
    show harris norm at right with dissolve
    t "先生らしい女の人がいる。もしかして、担任の先生？"
    h "I'm Mrs Harris. You must be %(me)s."
    if nameknown == True:
        if me == "Darlo":
            show michelle vhappy at left with dissolve
            m2 "It's an awesome name, isn't it Miss."
            h "Yes, it's pretty cool."
            h "I once met an interesting man with that name."
        else:
            show michelle vhappy at left with dissolve
            m2 "It's a cool name, isn't it Miss."
            h "Very cool."
    if nameknown == False:
        show michelle norm at left with dissolve
        m2 "Wow, so your name is %(me)s. That's a nice name."
    show michelle norm
    h "Nice to meet you, %(me)s."
    menu:
        h "Nice to meet you, %(me)s."
        "Nice to meet you, too.":
            m "Nice to meet you, too."
            $ eigopoints += 1
            t "よっしゃ！"
            jump firstclassstart
        "Ice and pizza, too.":
            m "Ice and pizza, too."
            jump mrsharrisintrojapanese
        "Yoroshiku onegaishimasu.":
            m "Yoroshiku onegaishimasu."
            jump mrsharrisintrojapanese

label mrsharrisintrojapanese:
    show harris bigsmile
    h "Ha ha. 頑張ってね。"
    t "えっ！日本語だった？"
    $ mrsharrisjapanese = True

label firstclassstart:
    show harris oh
    h "Okay everyone, class is starting. Please take your seats."
    hide harris
    hide michelle
    with dissolve
    if footyteam == "like":
        show wayne happy
        with dissolve
        t "Wayne君が入った。まだ分からないが、クラスメートかな。"
        w "Hi, %(me)s. It looks like we're in the same class."
        show wayne norm
        m "Hi."
    if footyteam == "none":
        show wayne norm
        with dissolve
        t "さきのサッカー選手が入った。まだ分からないが、クラスメートかな。"
        w "Hi, mate. Sorry about before. My name's Wayne."
        w "It looks like we're in the same class."
        $ footyteam = "like"
    if footyteam == "dislike":
        show wayne pout
        with dissolve
        t "さきのサッカー選手が入った。まだ分からないが、クラスメートかな。"
        t "それなら嫌だ。"
        show wayne angry
        f "So we have the new guy, huh?"
        f "It took me a long time to find that ball."
        t "彼は怒っているね。"
        show wayne pout
    h "Hurry up and sit down, Wayne."
    if footyteam == "dislike":
        t "あいつの名前はWayneか。"
    w "Sorry, Miss."
    hide wayne
    with dissolve
label firstclassselfintroduction: # First chance of a bad ending
    show harris norm
    with dissolve
    h "We have a new student joining us today."
    h "They've come all the way from Shimonoseki city in Japan."
    t "下関って？"
    show harris laugh
    h "Please welcome %(me)s."
    t "皆が笑顔で拍手してる、怖っ！"
    if footyteam == "dislike":
        t "Michelleちゃんも拍手している。"
        t "Wayneが拍手してないけど。"
    else:
        t "MichelleちゃんとWayne君も拍手している。"
    show harris norm
    h "%(me)s, please come here."
    t "えっ？呼ばれている？どうしたらいいかな。"
    menu:
        h "%(me)s, please come here."
        "Harris先生のほうに行く。":
            $ eigopoints += 1
        "そのまま座る":
            t "ここで座って待ったほうがいいね。"
            show harris bigsmile
            h "Come on %(me)s, don't be shy."
            t "Harris先生は手を振るっている。"
    t "あそこへ行ったほうがいいね。"
    show harris oh
    h "Ok, let's have a little Q&A."
    m "キューアンドエー？"
    h "Yes, questions and answers."
    t "質問と答え？あっ！質問タイムだ！英語でQ&Aか。"
    show harris norm
    h "So, what's your name?" # QUESTION 1
    menu:
        h "So, what's your name?"
        "My name is %(me)s.":
            $ eigopoints += 1
            $ selfintropoints += 1
            $ nameknown = True
            m "My name is %(me)s."
            show harris smile
            if footyteam == "dislike":
                m2 "It's a cool name."
            else:
                m2 "It's a cool name, isn't it Wayne."
                w "Yeah, very cool."
            t "よっしゃ！"
        "I like apples.":
            m "I like apples."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Well, apples are delicious."
            t "間違ったかな。"
        "I'm from Shimonoseki.":
            m "I'm from Shimonoseki."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Shimonoseki? What's that?"
            t "間違ったかな。"
    show harris norm
    h "Where are you from?" # QUESTION 2
    menu:
        h "Where are you from?"
        "I am Doraemon.":
            m "I am Doraemon."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Where's Doraemon? Is it a city?"
            t "間違ったかな。"
        "I don't like cats.":
            m "I don't like cats."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "I wonder where they are from?"
            t "間違ったかな。"
        "I'm from Japan.":
            $ eigopoints += 1
            $ selfintropoints += 1
            m "I'm from Japan."
            show harris smile
            if footyteam == "like":
                w "Cool! I like Gamba Osaka and Baleine Shimonoseki."
            m2 "I want to visit Tokyo."
            t "よっしゃ！"
    show harris norm
    h "What sports do you like?" # QUESTION 3
    menu:
        h "What sports do you like?"
        "I like soccer.":
            $ eigopoints += 1
            $ selfintropoints += 1
            m "I like soccer."
            show harris smile
            if footyteam == "dislike":
                w "Ha!"
                t "正しかったね。何でWayneが笑ってるか。"
                m2 "Psst! We say 'football' here, not 'soccer'."
            else:
                w "Psst! We say 'football' here, not 'soccer'."
            t "ここはサッカーじゃなくて、フットボールというところみたい。"
        "I like football.":
            $ eigopoints += 1
            $ selfintropoints += 1
            $ charlikesfootball = True
            m "I like football."
            show harris smile
            m2 "Wow, maybe they'll join the football team."
            if footyteam == "dislike":
                w "Hmph."
            else:
                w "That would be cool."
            t "よっしゃ！"
        "I like chicken.":
            m "I like chicken."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Is there a sport called 'Chicken'?"
            t "間違ったかな。"
    show harris norm
    h "What is your favourite food?" # QUESTION 4
    menu:
        h "What is your favourite food?"
        "Fruits are delicious.":
            m "Fruits are delicious."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "I wonder which fruit they like the best."
            t "間違ったかな。"
        "Sports are fun.":
            m "Sports are fun."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Is there a food called 'Sports'?"
            t "間違ったかな。"
        "My favourite food is sushi.":
            $ selfintropoints += 1
            $ eigopoints += 1
            $ favfoodknownisushi = True
            m "My favourite food is sushi."
            show harris smile
            if footyteam == "like":
                w "I like ramen."
            m2 "I love Pocky."
            t "よっしゃ！"
    show harris norm
    h "How do you like England?" #he now knows he's in England # QUESTION 5
    t "イングランド?ここはEngland?"
    menu:
        h "How do you like England?"
        "England is delicious.":
            m "England is delicious."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "Please don't eat England."
            t "間違ったかな。"
        "Is rainy in England.":
            m "Is rainy in England."
            show harris erk
            if footyteam == "dislike":
                w "Ha!"
            m2 "I understand, maybe."
            t "間違ったかな。"
        "England is nice.":
            $ eigopoints += 1
            $ selfintropoints += 1
            m "England is nice."
            show harris smile
            m2 "That's very kind."
            if footyteam == "like":
                w "I wonder if they like rain."
            t "よっしゃ！"
    if selfintropoints == 5: #if 5 selfintropoints bonus eigopoint
        $ eigopoints += 1
        show harris bigsmile
        h "Well, that was a perfect self-introduction. Good job."
    if selfintropoints == 0:
        if nameknown == False:
            jump gameending1
    jump afterintroclass

label gameending1:
    h "Well, that was a good try."
    t "無理。"
    show harris norm
    h "Everyone, let's be sure to help %(me)s adapt to life here."
    if footyteam == "dislike":
        w "Only if they give me a new football."
    t "無理。"
    t "自己紹介は大失敗だし。誰も私の名前でも分からないし。"
    t "あっちのドアに、逃げ！"
    show harris shocked
    h "%(me)s! Wait a minute!"
    t "ドアに向けて走り出したら、足がもつれてよろけた。"
    scene bg black
    "{color=#FF0000}{size=+12}ガンッ{/size}{/color}{fast}"
    m2 "Kyaaaa!"
    w "There's blood everywhere!"
    w "Oh my god, %(me)s's dying!"
    t "頭がドアの取っ手にぶつかった。"
    t "この終わりが、ひどいなものだね。"
    $ gameendingnumber = 1
    $ gameendingpassword = "support"
    jump theveryendofthefile

label afterintroclass: #The story splits here 3 ways (waynedoesntlikeyouroute, waynelikesyouroute, centralroute)
    scene bg black
    with dissolve
    scene bg schoolinside
    with dissolve
    
    t "なんとか自己紹介、できた。"
    t "疲れた、もう帰りたい。"
    t "でも、帰れるかな？"
    m2 "Good job, %(me)s."
    show michelle happy
    with dissolve
    if selfintropoints <= 3:
        m2 "But I think we'll have to work on improving your English a bit."
    if selfintropoints > 3:
        m2 "That was a very good self-introduction."
    if footyteam == "dislike": # The turning point for wayne as friend or enemy. Also if you can get home or not.　Also exit point for specific route
        if nameknown == False:
            show michelle serious
            m2 "I guess Wayne doesn't want to be your friend."
            m2 "I think that it's because he doesn't know your name."
        if nameknown == True:
            if charlikesfootball == False:
                show michelle serious
                m2 "I guess Wayne doesn't want to be your friend."
                show michelle lecture
                m2 "I think that it's because he likes 'football' too much."
            if charlikesfootball == True:
                w "Hey, %(me)s!"
                show michelle serious at left
                with move
                show wayne surprise at right
                with dissolve
                t "Wayneだ。何か欲しいものでもあるのだろうか。"
                w "Listen, I don't know why you kicked my ball, but you're a footy fan, right?"
                m "フティー？"
                w "Yeah, you know, footy? Football?"
                m "あっ！I like football."
                show wayne norm
                show michelle norm
                w "Me too, I'm captain of the mixed football team."
                w "So let's kiss and make up. How about it?"
                m "…"
                m "はっ？！"
                m "キッキッキッ…キッス？メークアップ？"
                "いったい何のつもり？Michelleちゃんに聞く。"
                m "Wayne wants to kiss me?"
                show michelle vhappy
                show wayne surprise
                m2 "Haha, no. 'Kiss and make up' means be friends."
                show michelle norm
                show wayne norm
                t "be friendsって何だっけ？"
                menu:
                    "be friendsって何だっけ？"
                    "焼く":
                        t "焼く？私を焼く？この化け物！"
                        m "No!立ち去れ！Go away! Monster!"
                        show michelle shocked
                        show wayne pout
                        m2 "Woah."
                        show wayne angry
                        show michelle worried
                        w "Oi! I try and be friends and you call me a monster? Fine!"
                        w "Good luck, moron!"
                        hide wayne
                        with dissolve
                        show michelle serious
                        m2 "Why did you say that?"
                        t "whyって、なぜ？"
                        m "He wanted to fry me."
                        m2 "Fry you? Like cook you?"
                        m "Yes. He wanted to cook me."
                        show michelle norm
                        m2 "Haha, oh %(me)s. He said friend, not fry."
                        t "間違った。Friendとは友達で、fryとは焼くことだ。しまったね。"
                    "友達になる":
                        "友達になるか。"
                        m "You want to be my friend?"
                        show wayne happy
                        show michelle happy
                        w "Yes, how about it?"
                        menu:
                            w "Yes, how about it?"
                            "Okay, let's be friends.":
                                $ eigopoints += 1
                                $ footyteam = "like"
                                m "Okay, let's be friends."
                                show michelle vhappy
                                w "That's great! I'm really sorry about before."
                                m2 "It's good that you two could be friends."
                                w "Yeah. Anyway, I have to go."
                                show wayne norm
                                show michelle norm
                                w "See you later, mate."
                                m2 "See you, Wayne."
                                m "See you."
                                hide wayne
                                with dissolve
                                jump waynelikesyouroutestart
                            "No! Go away! Monster!":
                                $ eigopoints += 1
                                m "No! Go away! Monster!"
                                show michelle shocked
                                show wayne pout
                                m2 "Woah."
                                show wayne angry
                                show michelle worried
                                w "Oi! I try and be friends and you call me a monster? Fine!"
                                w "Good luck, moron!"
                                hide wayne
                                with dissolve
                                show michelle serious
                                m2 "Why did you say that?"
                                t "whyって、なぜ？"
                                m "He's not a friendly person."
                            "はい、友達になりたい。":
                                m "はい、友達になりたい！"
                                show wayne angry
                                show michelle serious
                                w "Oi! I don't know what you said, but it didn't sound friendly! Fine!"
                                w "Good luck, moron!"
                                hide wayne
                                with dissolve
                                m2 "Oh no, you didn't become friends."
                                t "やっぱり英語にすべきだったね？"
                                m "I wanted to be friends."
                                m2 "I think it's a little late now."
                            "嫌だ！立ち去れ、化け物！":
                                m "嫌だ！立ち去れ、化け物！"
                                show wayne angry
                                show michelle serious
                                w "Oi! I don't know what you said, but it didn't sound friendly! Fine!"
                                w "Good luck, moron!"
                                hide wayne
                                with dissolve
                                m2 "Oh no, you didn't become friends."
                                t "彼は私の言葉が分からなかったのに、意味が分かるようだ。"
                                show michelle worried
                                m2 "What did you say?"
                                t "私は何を言った？"
                                t "どうで答えるかな。"
                                menu:
                                    "どうで答えるかな。"
                                    "日本語":#central route or die trying
                                        $ mrsharrisjapanese = True
                                        t "イギリスなのに、英語は無理で日本語にします。"
                                        show michelle serious
                                        m "言ったのは彼…"
                                        u "待ちなさい！"
                                        show harris angry at right
                                        with dissolve
                                        h "日本語を選んだね。いったい何しているの？"
                                        m2 "Uh ... miss?"
                                        h "%(me)sさんはここに来た理由は何だろう。"
                                        m "理由？先生は、私をここに連れてきたんですか？"
                                        h "いいえ、それは私じゃなかった。"
                                        m "帰り方を知っていますか。ならば教えてください！"
                                        show harris serious
                                        h "本当に帰りたいか？英語が上手になれば、お父さんはぶち嬉しくなるだろう。"
                                        m "…"
                                        t "何でお父さんのことを知っている？"
                                        show harris oh
                                        h "This is your chance!"
                                        m2 "What chance?"
                                        show harris serious
                                        h "今、本当に帰りたいなら、 then follow me."
                                        hide harris
                                        with dissolve
                                        show michelle shocked
                                        m2 "Follow me? Miss, where are you going?"
                                        t "Harris先生は歩き去っている。どうしたらいいのか。"
                                        show michelle serious
                                        m2 "%(me)s?"
                                        menu:
                                            "どうしたらいいのか。"
                                            "先生を追う":# gameending2
                                                label gameending2:
                                                t "先生を追う。今すぐ帰りたい。"
                                                scene bg classroom
                                                with dissolve
                                                t "さっきの教室を通ってきた。"
                                                t "後ろにあるドアを、先生は開けた。"
                                                scene bg black
                                                with dissolve
                                                m2 "I've never been in this room before."
                                                h "This is where we do serious experiments, まじめな実験."
                                                m2 "It's really cool that you can speak Japanese, Mrs Harris."
                                                scene bg sciencelab
                                                with dissolve
                                                m "マッドサイエンティストの研究室みたい！"
                                                t "研究室の片側に、２本の金属のポールがあるプラットフォームがある。"
                                                show michelle serious at left
                                                show harris oh at right
                                                with dissolve
                                                h "In Hohoku you were struck by lightning.雷に打たれたね。"
                                                t "確かに嵐があった。"
                                                show harris serious
                                                h "So, that's how we can get home."
                                                t "weって"
                                                m2 "I don't understand."
                                                h "Don't worry, I'll explain it to you later."
                                                show harris notamused
                                                h "%(me)s、靴と靴下を脱いで、プラットフォームに立って、ポールを両手でつかみなさい。"
                                                m "え～ッ！ちょっと待ってください。"
                                                h "待っている時間はない、早く行け。"
                                                t "従順に行った。"
                                                hide michelle
                                                hide harris
                                                with dissolve
                                                t "MichelleちゃんとHarris先生は他側にあった端末へ行った。"
                                                h "Goodbye %(me)s."
                                                m2 "Huh?!"
                                                t "Harris先生は機械を始動させた。"
                                                h "痛いかもしれないけど、絶対に放すな！"
                                                t "体に痛みが走った。"
                                                show redflash
                                                t "今までにこんな痛みを感じたことがなかった。"
                                                m "ぎゃー！"
                                                m2 "%(me)s!"
                                                t "痛みが悪化した。"
                                                m "ぎゃー！"
                                                h "Something's wrong! The voltage isn't high enough!"
                                                h "Oh my god!"
                                                m2 "What?! %(me)s, let go!"
                                                t "let goっていったい何という。"
                                                h "%(me)s！放して！放して！"
                                                t "「放して」って、電気が強すぎて放せなかったほどだった。"
                                                m "ぎゃー！"
                                                scene bg black
                                                with dissolve
                                                t "帰るしか欲しくなかったのに。"
                                                t "この終わりが、ひどいなものだね。"
                                                $ gameendingnumber = 2
                                                $ gameendingpassword = "energy"
                                                jump theveryendofthefile
                                            "先生を追わない":
                                                t "先生を追わない。どうしてこんなここになったか。"
                                                jump centralroutestart
                                    "English":
                                        t "英語にしたほうがいい"
                                        m "I said that he was a monster and should go away."
                                        show michelle serious
                                        m2 "Why did you say that?"
                                        t "whyって、なぜ？"
                                        m "He's not a friendly person."
                    "けがをする":
                        t "けがする、私を？痛みたくない！この化け物！"
                        m "No!立ち去れ！Go away! Monster!"
                        show michelle shocked
                        show wayne pout
                        m2 "Woah."
                        show wayne angry
                        show michelle worried
                        w "Oi! I try and be friends and you call me a monster? Fine!"
                        w "Good luck, moron!"
                        hide wayne
                        with dissolve
                        show michelle serious
                        m2 "Why did you say that?"
                        t "whyって、なぜ？"
                        m "He wanted to hurt me."
                        m2 "Hurt you?"
                        m "Yes. He wanted to hurt me."
                        show michelle norm
                        m2 "Haha, oh %(me)s. He said friend, not hurt."
                        t "間違った。Friendとは友達で、hurtとはけがすることだ。しまったね。"
                
        show michelle worried
        m2 "You might be lonely if you don't have lots of friends."
        t "友達より帰るのを考えなければならない。"
        jump waynedoesntlikeyouroutestart
        
    show michelle norm at left with move
    show wayne happy at right
    with dissolve
    w "Hey, nice introduction, mate."
    if selfintropoints <= 3:
        show wayne surprise
        w "But I think we'll have to work on improving your English a bit."
        t "Michelleちゃんとの同じを言った。"
    show wayne norm
    w "Anyway, I have to go."
    w "See you later, mate."
    m2 "See you, Wayne."
    m "See you."
    hide wayne
    with dissolve
    jump waynelikesyouroutestart
                
label theveryendofthefile:
    menu:
        "---END---" "%(me)s has %(eigopoints)s English Points.\nEnding number: %(gameendingnumber)s. Password: %(gameendingpassword)s."
        "終わり":
            hide screen eigopointscreen
            scene bg credits with dissolve
            "The End"
            pause